KINFO_GETVMOBJECT(3)

NAME
kinfo_getvmobject - function for getting system-wide memory information

LIBRARY
libutil

SYNOPSIS
#include <sys/types.h>
#include <sys/user.h>
#include <libutil.h>
struct kinfo_vmobject *
kinfo_getvmobject(int *cntp);

DESCRIPTION
This function is used to obtain information about the objects using memory in the system.

The cntp argument allows the caller to know how many records are returned.

This function is a wrapper around the “vm.objects” sysctl(3) MIB. While the kernel returns a packed structure, this function expands the data into a fixed record format.

RETURN VALUES
On success the kinfo_getvmobject() function returns a pointer to an array of struct kinfo_vmobject structures as defined by <sys/user.h>. The array is allocated by an internal call to malloc(3) and must be freed by the caller with a call to free(3). On failure the kinfo_getvmobject() function returns NULL.

SEE ALSO
free(3), kinfo_getvmmap(3), malloc(3)